{ lib, stdenvNoCC }:

stdenvNoCC.mkDerivation {
  pname = "wallpapers";
  version = "unstable";

  src = ./.;

  # later, add XML files to /usr(?)/share/backgrounds
  # then, it is selectable from places like in gnome and also do the same for KDE
  installPhase = ''
    mkdir -p "$out/share/backgrounds"
    cp -r "$src/img/." "$out/share/backgrounds/"
  '';

  meta = with lib; {
    description = "Small collection of wallpapers";
    # idk what to put here:
    # license = licenses.ofl;
    platforms = platforms.all;
  };
}
